# Class Offer

#### Hierarchy

- unknown
  - Offer

- Defined in src/protobuf/pb_pb.d.ts:5852
- Defined in src/protobuf/pb_pb.d.ts:5866

#####
Index

### Constructors

constructor

### Methods

clearOfferPayload
getOfferPayload
hasOfferPayload
serializeBinary
setOfferPayload
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Offer(): Offer

- #### Returns Offer

  Inherited from jspb.Message.constructor

## Methods

### clearOfferPayload

- clearOfferPayload(): Offer

- #### Returns Offer

  - Defined in src/protobuf/pb_pb.d.ts:5856

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- #### Returns undefined | OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:5853

### hasOfferPayload

- hasOfferPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5855

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5858

### setOfferPayload

- setOfferPayload(value?: OfferPayload): Offer

- #### Parameters

  - ##### `Optional` value: OfferPayload

  #### Returns Offer

  - Defined in src/protobuf/pb_pb.d.ts:5854

### toObject

- toObject(includeInstance?: boolean): Offer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Offer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5859

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Offer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Offer

  - Defined in src/protobuf/pb_pb.d.ts:5862

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Offer, reader: BinaryReader): Offer

- #### Parameters

  - ##### message: Offer

  - ##### reader: BinaryReader

  #### Returns Offer

  - Defined in src/protobuf/pb_pb.d.ts:5863

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Offer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Offer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5861

### `Static` toObject

- toObject(includeInstance: boolean, msg: Offer): Offer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Offer

  #### Returns Offer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5860

Generated using TypeDoc